> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Excel Export Templates



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/excel-export-templates
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/excel-export-templates:
    post:
      tags:
        - Excel Export Templates
      summary: Create Excel Export Templates
      operationId: ExcelExportTemplatesController_create_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateExcelExportTemplateDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExcelExportTemplateResponseDto'
components:
  schemas:
    CreateExcelExportTemplateDto:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 255
        configuration:
          oneOf:
            - type: object
              properties:
                format:
                  type: string
                  enum:
                    - product_table
                columns:
                  minItems: 1
                  maxItems: 16384
                  type: array
                  items:
                    type: object
                    properties:
                      key:
                        type: string
                        minLength: 1
                        maxLength: 200
                      label:
                        type: string
                        minLength: 1
                        maxLength: 200
                    required:
                      - key
                      - label
                    additionalProperties: false
                sort:
                  type: object
                  properties:
                    key:
                      type: string
                      minLength: 1
                      maxLength: 200
                    direction:
                      type: string
                      enum:
                        - asc
                        - desc
                  required:
                    - key
                    - direction
                  additionalProperties: false
                options:
                  type: object
                  properties:
                    rowPerArea:
                      type: boolean
                    includeUnallocated:
                      type: boolean
                  required:
                    - rowPerArea
                    - includeUnallocated
                  additionalProperties: false
              required:
                - format
                - columns
                - sort
                - options
              additionalProperties: false
            - type: object
              properties:
                format:
                  type: string
                  enum:
                    - quantity_matrix
                columns:
                  minItems: 1
                  maxItems: 16384
                  type: array
                  items:
                    type: object
                    properties:
                      key:
                        type: string
                        minLength: 1
                        maxLength: 200
                      label:
                        type: string
                        minLength: 1
                        maxLength: 200
                    required:
                      - key
                      - label
                    additionalProperties: false
                sort:
                  type: object
                  properties:
                    key:
                      type: string
                      minLength: 1
                      maxLength: 200
                    direction:
                      type: string
                      enum:
                        - asc
                        - desc
                  required:
                    - key
                    - direction
                  additionalProperties: false
                options:
                  type: object
                  properties: {}
                  additionalProperties: false
              required:
                - format
                - columns
                - sort
                - options
              additionalProperties: false
            - type: object
              properties:
                format:
                  type: string
                  enum:
                    - rooms_matrix
                sort:
                  type: object
                  properties:
                    key:
                      type: string
                      minLength: 1
                      maxLength: 200
                    direction:
                      type: string
                      enum:
                        - asc
                        - desc
                  required:
                    - key
                    - direction
                  additionalProperties: false
                options:
                  type: object
                  properties: {}
                  additionalProperties: false
              required:
                - format
                - sort
                - options
              additionalProperties: false
      required:
        - name
        - configuration
      additionalProperties: false
    ExcelExportTemplateResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        configuration:
          oneOf:
            - type: object
              properties:
                format:
                  type: string
                  enum:
                    - product_table
                columns:
                  minItems: 1
                  maxItems: 16384
                  type: array
                  items:
                    type: object
                    properties:
                      key:
                        type: string
                        minLength: 1
                        maxLength: 200
                      label:
                        type: string
                        minLength: 1
                        maxLength: 200
                    required:
                      - key
                      - label
                    additionalProperties: false
                sort:
                  type: object
                  properties:
                    key:
                      type: string
                      minLength: 1
                      maxLength: 200
                    direction:
                      type: string
                      enum:
                        - asc
                        - desc
                  required:
                    - key
                    - direction
                  additionalProperties: false
                options:
                  type: object
                  properties:
                    rowPerArea:
                      type: boolean
                    includeUnallocated:
                      type: boolean
                  required:
                    - rowPerArea
                    - includeUnallocated
                  additionalProperties: false
              required:
                - format
                - columns
                - sort
                - options
              additionalProperties: false
            - type: object
              properties:
                format:
                  type: string
                  enum:
                    - quantity_matrix
                columns:
                  minItems: 1
                  maxItems: 16384
                  type: array
                  items:
                    type: object
                    properties:
                      key:
                        type: string
                        minLength: 1
                        maxLength: 200
                      label:
                        type: string
                        minLength: 1
                        maxLength: 200
                    required:
                      - key
                      - label
                    additionalProperties: false
                sort:
                  type: object
                  properties:
                    key:
                      type: string
                      minLength: 1
                      maxLength: 200
                    direction:
                      type: string
                      enum:
                        - asc
                        - desc
                  required:
                    - key
                    - direction
                  additionalProperties: false
                options:
                  type: object
                  properties: {}
                  additionalProperties: false
              required:
                - format
                - columns
                - sort
                - options
              additionalProperties: false
            - type: object
              properties:
                format:
                  type: string
                  enum:
                    - rooms_matrix
                sort:
                  type: object
                  properties:
                    key:
                      type: string
                      minLength: 1
                      maxLength: 200
                    direction:
                      type: string
                      enum:
                        - asc
                        - desc
                  required:
                    - key
                    - direction
                  additionalProperties: false
                options:
                  type: object
                  properties: {}
                  additionalProperties: false
              required:
                - format
                - sort
                - options
              additionalProperties: false
        version:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        updatedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
      required:
        - id
        - name
        - configuration
        - version
        - updatedAt
      additionalProperties: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.